=== modified file 'doc/developers/overview.txt'
--- doc/developers/overview.txt	2009-03-13 21:57:38 +0000
+++ doc/developers/overview.txt	2009-03-13 22:04:42 +0000
@@ -67,18 +67,18 @@
 doesn't say how those bytes represent non-ASCII characters.  (They're not
 guaranteed to be UTF-8 -- that is common but doesn't happen everywhere.)
 
-For example if the user enters the url ``http://example/%e0`` there's no
+For example if the user enters the URL ``http://example/%e0`` there's no
 way to tell whether that character represents "latin small letter a with
 grave" in iso-8859-1, or "latin small letter r with acute" in iso-8859-2
 or malformed UTF-8.  So we can't convert their URL to Unicode reliably.
 
-Equally problematic if we're given a url-like string containing non-ascii
+Equally problematic if we're given a URL-like string containing non-ASCII
 characters (such as the accented a) we can't be sure how to convert that
 to the correct URL, because we don't know what encoding the server expects
 for those characters.  (Although this is not totally reliable we might still
 accept these and assume they should be put into UTF-8.)
 
-A similar edge case is that the url ``http://foo/sweet%2Fsour`` contains
+A similar edge case is that the URL ``http://foo/sweet%2Fsour`` contains
 one directory component whose name is "sweet/sour".  The escaped slash is
 not a directory separator.  If we try to convert URLs to regular Unicode
 paths this information will be lost.
@@ -113,10 +113,10 @@
 Therefore to permanently change the fallback repository stored on disk,
 you must use ``Branch.set_stacked_on_url``.  
 
-Changing away from an existing stacked on url will copy across any
+Changing away from an existing stacked on URL will copy across any
 necessary history so that the repository remains usable.
 
-A repository opened from an hpss server is never stacked on the server
+A repository opened from an HPSS server is never stacked on the server
 side, because this could cause complexity or security problems with the
 server acting as a proxy for the client.  Instead, the branch on the
 server exposes the stacked-on URL and the client can open that.

